
/*]  Copyright (c) 2009-2010, Charles McGarvey  [**************************
**]  All rights reserved.
*
* vi:ts=4 sw=4 tw=75
*
* Distributable under the terms and conditions of the 2-clause BSD license;
* see the file COPYING for a complete text of the license.
*
**************************************************************************/

#ifndef _MOOF_CULLABLE_HH_
#define _MOOF_CULLABLE_HH_


namespace Mf {


class Frustum;

/**
 * Interface for anything that can be culled.
 */

class Cullable
{
public:
	virtual ~Cullable() {}

	virtual bool isVisible(const Frustum& frustum) const
	{
		// unless determined otherwise, assume visible
		return true;
	}
};


} // namespace Mf

#endif // _MOOF_CULLABLE_HH_

